export interface VirtualElement {
    __element_type: string;
    things: Thing[];
}
export interface RawHtml {
    __raw: string;
}
interface Attributes {
    [key: string]: string | number;
}
type Thing = VirtualElement | RawHtml | Attributes | string;
export type Renderable = VirtualElement | RawHtml | string;
export declare const basicElement: (__element_type: string) => (...things: Thing[]) => VirtualElement;
export declare const raw: (html: string) => RawHtml;
export declare const doctype: (...things: Thing[]) => VirtualElement;
export declare const head: (...things: Thing[]) => VirtualElement;
export declare const body: (...things: Thing[]) => VirtualElement;
export declare const meta: (...things: Thing[]) => VirtualElement;
export declare const title: (...things: Thing[]) => VirtualElement;
export declare const link: (...things: Thing[]) => VirtualElement;
export declare const script: (...things: Thing[]) => VirtualElement;
export declare const metaUtf8: VirtualElement;
export declare const h1: (...things: Thing[]) => VirtualElement;
export declare const h2: (...things: Thing[]) => VirtualElement;
export declare const h3: (...things: Thing[]) => VirtualElement;
export declare const h4: (...things: Thing[]) => VirtualElement;
export declare const h5: (...things: Thing[]) => VirtualElement;
export declare const h6: (...things: Thing[]) => VirtualElement;
export declare const p: (...things: Thing[]) => VirtualElement;
export declare const ul: (...things: Thing[]) => VirtualElement;
export declare const ol: (...things: Thing[]) => VirtualElement;
export declare const li: (...things: Thing[]) => VirtualElement;
export declare const a: (...things: Thing[]) => VirtualElement;
export declare const img: (...things: Thing[]) => VirtualElement;
export declare const span: (...things: Thing[]) => VirtualElement;
export declare const picture: (...things: Thing[]) => VirtualElement;
export declare const source: (...things: Thing[]) => VirtualElement;
export declare const figure: (...things: Thing[]) => VirtualElement;
export declare const figcaption: (...things: Thing[]) => VirtualElement;
export declare const article: (...things: Thing[]) => VirtualElement;
export declare const nav: (...things: Thing[]) => VirtualElement;
export declare const header: (...things: Thing[]) => VirtualElement;
export declare const main: (...things: Thing[]) => VirtualElement;
export declare const section: (...things: Thing[]) => VirtualElement;
export declare const time: (...things: Thing[]) => VirtualElement;
export declare const render: (...elements: Renderable[]) => string;
export {};
